# TdApi.PageBlockChatLink (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: PageBlockChatLink

Package it.tdlight.jni

# Class TdApi.PageBlockChatLink

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PageBlock
it.tdlight.jni.TdApi.PageBlockChatLink

Enclosing class:
  TdApi

    public static class TdApi.PageBlockChatLink
    extends TdApi.PageBlock

A link to a chat.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`TdApi.ChatPhotoInfo` | `photo` | Chat photo; may be null.
`String` | `title` | Chat title.
`String` | `username` | Chat username, by which all other information about the chat can be resolved.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`PageBlockChatLink()` | A link to a chat.
`PageBlockChatLink​(DataInput input)` |
`PageBlockChatLink​(String title, TdApi.ChatPhotoInfo photo, String username)` | A link to a chat.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### title

public String title
Chat title.

### photo

public TdApi.ChatPhotoInfo photo
Chat photo; may be null.

### username

public String username
Chat username, by which all other information about the chat can be resolved.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### PageBlockChatLink

public PageBlockChatLink()
A link to a chat.

### PageBlockChatLink

public PageBlockChatLink​(String title, TdApi.ChatPhotoInfo photo, String username)
A link to a chat.

Parameters:
  `title` - String Chat title.
  `photo` - ChatPhotoInfo Chat photo; may be null.
  `username` - String Chat username, by which all other information about the chat can be resolved.

### PageBlockChatLink

public PageBlockChatLink​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`